Send a blog newsletter broadcast
POST
/auth/v1/blog/broadcastTriggers a blog newsletter broadcast to all subscribers. Internal endpoint guarded by the service API key (X-Api-Key); called by the blog-publishing pipeline.
Header Parameters
X-Api-Key*string
Internal service key
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.sendBlogBroadcastBody",
"$ref-value": {
"properties": {
"category": {
"type": "string"
},
"commit_sha": {
"type": "string"
},
"description": {
"type": "string"
},
"published_at": {
"type": "string"
},
"read_more_url": {
"type": "string"
},
"slug": {
"type": "string"
},
"title": {
"type": "string"
}
},
"required": [
"description",
"read_more_url",
"title"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.SendBlogBroadcastResponse",
"$ref-value": {
"properties": {
"broadcast_id": {
"type": "string"
},
"scheduled_at": {
"type": "string"
},
"sent_at": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/blog/broadcast" \
-H "X-Api-Key: string" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"read_more_url": "string",
"title": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.SendBlogBroadcastResponse",
"$ref-value": {
"properties": {
"broadcast_id": {
"type": "string"
},
"scheduled_at": {
"type": "string"
},
"sent_at": {
"type": "string"
}
},
"type": "object"
}
}